# Tanium

## About <a href="#about" id="about"></a>

The Tanium NetoFuse module provides enriched asset context to Netography Fusion from Tanium. It connects to the Tanium GraphQL API to retrieve asset information and then uploads it as [Context Labels](/enrich-traffic-with-context/labels.md) to the Netography Fusion API.

Tanium Core and Tanium Asset are supported products for this module.

{% hint style="info" %}
**☁️NetoFuse Modules: Cloud deployment vs. On-Prem deployment**

This page documents how to add and configure the NetoFuse module for an on-prem deployment with a container or Python package. If you want to use the cloud deployment model and have this integration run in the Netography Fusion SaaS, you can add it as a context integration in the Netography Fusion Portal instead by consulting the [Context Integrations](/enrich-traffic-with-context/configure-context-integrations.md) documentation.
{% endhint %}

## API Configuration Parameters <a href="#api-configuration-parameters" id="api-configuration-parameters"></a>

All the fields required for this integration are listed here, along with the corresponding environment variable name used to set that field in the NetoFuse module.

| Tanium Field | Required | Netofuse Environment Variable        | Description                       |
| ------------ | -------- | ------------------------------------ | --------------------------------- |
| API Key      | Yes      | `NETO__TANIUM__CREDENTIALS__API_KEY` | API key for Tanium authentication |
| URL          | Yes      | `NETO__TANIUM__URL`                  | Tanium server address             |

## `tanium` NetoFuse Module Configuration <a href="#tanium-netofuse-module-configuration" id="tanium-netofuse-module-configuration"></a>

All the fields required for this integration are listed above in the [API Configuration Parameters](#api-configuration-parameters) section above. See [Configure > module](/netofuse/configure.md#module) for additional options for setting configuration fields and [Security Considerations](https://docs.netography.com/netofuse/security-considerations) for additional options for setting credentials.

### Advanced Configuration Options <a href="#advanced-configuration-options" id="advanced-configuration-options"></a>

The following configuration options are available for the module.

| Configuration Option | Description                                                                                                                                               | Default Value |
| -------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------- |
| `method`             | <p>Determines the method used to gather data from Tanium.<br>Must be one of <code>ASSET</code>, <code>TDS</code>, <code>TS</code>, <code>ADHOC</code></p> | `ASSET`       |
| `fields`             | Fields to retrieve from Tanium                                                                                                                            | *See below*   |
| `per_page`           | Number of endpoints to retrieve per page                                                                                                                  | 1000          |
| `expectedCount`      | Approximate number of endpoints in your environment                                                                                                       | N/A           |
| `cooldown`           | Number of seconds without new results before the question is "complete".                                                                                  | 30            |
| `retry_interval`     | Interval between retry attempts in seconds                                                                                                                | 10            |
| `retry_count`        | Number of retry attempts                                                                                                                                  | 3             |

#### Methods to gather data from Tanium <a href="#methods-to-gather-data-from-tanium" id="methods-to-gather-data-from-tanium"></a>

The `tanium`module supports 4 different methods for gathering data from Tanium. The best method to use depends on your Tanium deployment and the data you wish to retrieve, and determining this is best done in collaboration with a Tanium subject matter expert within your organization and by using the Tanium API documentation.

#### Fields to retrieve from Tanium <a href="#fields-to-retrieve-from-tanium" id="fields-to-retrieve-from-tanium"></a>

The `fields` configuration option defines what fields are retrieved from the Tanium API. This set of fields can then be used by the transform you define.

If you are using methods `ASSET`, `TDS`, or `TS`, the `fields` value represents a list of fields to retrieve from the GraphQL endpoint. The available field options can be retrieved through the Tanium GraphQL Schema or by navigating to the API Gateway GraphQL Playground in the Tanium console.

If you are using method `ADHOC`, the `fields` value represents a list of sensors you want to retrieve from endpoints. The Sensor name is used and can be retrieved from the sensors page in the Tanium UI.

The default configuration uses the `ASSET` method and this `fields` configuration:

`["computerId","computerName","createdAt","eid","id","ipAddress","manufacturer","operatingSystem","osPlatform","serialNumber","servicePack","userName","updatedAt"]`

If you are using the `TDS`, `TS`, or `ADHOC`methods, you will need to update the `fields` configuration.

Example `fields` configuration for `ADHOC`method:

`["Computer Name", "IP Address", "OS Platform", "OS Name", "OS Generation", "OS Version", "Serial Number", "Service Pack", "User Name", "Last Logged In User"]`

Example`fields` configuration for `TDS`, and `TS` methods:

`["ipAddress", "computerID", "serialNumber", "name", "os{name,platform,generation}","primaryUser{name,email}","lastLoggedInUser"]`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fusion.vectra.ai/netofuse/modules/tanium.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
